Subject: Re: RFC - Git Developer Blog

From: Taylor Blau <[email-masked]>
Date: Wed, 7 Aug 2019 13:07:35 -0400

Hi Stolee,

On Tue, Aug 06, 2019 at 08:19:15AM -0400, Derrick Stolee wrote:
> On 8/6/2019 12:52 AM, Andrew Ardill wrote:
> > On Tue, 6 Aug 2019 at 11:51, Emily Shaffer <[email-masked]> wrote:
> >
> >> Are folks interested in writing and reviewing this kind of content?
>
> I am interested in writing and reviewing! Here are some topics I am
> interested in writing:
>
> * Updates to the commit-graph feature
> * What is a multi-pack-index and what is it for?
> * Git at Scale: What makes a repo big, and how to avoid it?
> * Advanced Git config settings
>
> Here are some topics I'd be interested in seeing in the wild
> (and was considering writing them myself if I didn't see them elsewhere):
>
> * Partial clone: what, why, and how?
> * Life cycle of a patch series
> * Crafting perfect patches with interactive add and rebase
>
> It would also be helpful to have a post for every major release
> highlighting new features and giving users examples of how to use them.
> Taylor has been writing these on the GitHub blog [1], but maybe he
> would be interested in writing them for this new venue?
>
> [1] https://github.blog/2019-06-07-highlights-from-git-2-22/

Yes, I generally try and publish a blog post once-per-release, and
generally with the following two goals in mind:

  - talk about and publicize some of the new features in the latest
    release (or releases, if I've missed a blog post or two)

  - share some interesting tidbits about existing features.

I think it would be good to have these blog posts in both places, should
this proposal materialize. I would have to ask about whether or not
GitHub would be comfortable about cross-posting to a new venue, and I'd
be happy to raise the question when it comes up.

> [...]
> Thanks,
> -Stolee

Thanks,
Taylor